Skip to main content
GET
/
stores
Obtener locales
curl --request GET \
  --url https://api.getjusto.com/api/v2/stores \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getjusto.com/api/v2/stores"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getjusto.com/api/v2/stores', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "_id": "xKoiiqdtKGaRA2ve4",
    "externalId": 2345,
    "websiteId": "ErCkmcyCEovseJq5E",
    "name": "Peña",
    "acceptDelivery": true,
    "acceptServe": true,
    "acceptGo": true,
    "currentPreparationDuration": 10,
    "phone": "null",
    "address": {
      "placeId": "EihBdmVuaWRhIEhvbGFuZGEgMTYwNSwgUHJvdmlkZW5jaWEsIENoaWxlIjESLwoUChIJCfBr63TPYpYRguPJ8LiSNSgQxQwqFAoSCbELmxJ1z2KWEdvDHqTQ",
      "address": "Avenida Holanda 1605",
      "addressLine2": 1234,
      "addressSecondary": "Providencia, Chile",
      "comment": "Dejar con el conserje",
      "location": {
        "lat": -33.4334297,
        "lng": -70.59966380000002
      }
    },
    "schedule": {
      "closedUntilDate": "null",
      "closedDays": [
        "2023-11-07T05:31:56Z"
      ],
      "availableAtPeriods": false,
      "openPeriods": [
        {
          "daysOfWeek": [
            1,
            2,
            3,
            4,
            5,
            6,
            7
          ],
          "fromMinute": 480,
          "toMinute": 1200
        }
      ],
      "timezone": "America/Santiago"
    }
  }
]
{
  "status": "error",
  "error": "Error en la petición"
}
{
  "status": "error",
  "error": "Unauthorized"
}

Descripción

Este método permite generar un listado de todos los locales asociados a una marca, proporcionando información completa y detallada de cada uno.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

success

_id
string

ID del local.

Example:

"xKoiiqdtKGaRA2ve4"

externalId
string

ID externo indicado en la información del local.

Example:

2345

websiteId
string

ID de la marca.

Example:

"ErCkmcyCEovseJq5E"

name
string

Nombre del local.

Example:

"Peña"

acceptDelivery
boolean

Si es que acepta pedidos por delivery.

Example:

true

acceptServe
boolean

Si es que acepta pedidos para servir en el local.

Example:

true

acceptGo
boolean

Si es que acepta pedidos para llevar.

Example:

true

currentPreparationDuration
number

Tiempo actualiza de preparación (sólo cocina) en minutos.

Example:

10

phone
string

Teléfono del local.

Example:

null

address
object

Dirección del local.

schedule
object

Información de horarios del local.